Create a Field
Deprecated
Deprecated
This endpoint is deprecated and only works for fields on the Base Incident Type.
For more flexibility, we recommend using the Incident Types endpoint:
/incidents/types/{type_id_or_name}/custom_fields
Creates a new Custom Field on the Base Incident Type, along with the Field Options if provided.
An account may have up to 10 Fields.
Scoped OAuth requires: custom_fields.write
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
Create a Field Option POST
<!-- theme: warning --> > ### Deprecated > This endpoint is deprecated and only works for fields on the Base Incident Type. \ > For more flexibility, we recommend using the Incident Types endpoint: \ > [/incidents/types/{type_id_or_name}/custom_fields/{field_id}/field_options](openapiv3.json/paths/~1incidents~1types~1{type_id_or_name}~1custom_fields~1{field_id}~1field_options/post) Create a new Field Option for a Custom Field on the Base Incident Type. Field Options may only be created for Fields that have `field_options`. A Field may have no more than 10 enabled options. Scoped OAuth requires: `custom_fields.write`
Delete a Field Option DELETE
<!-- theme: warning --> > ### Deprecated > This endpoint is deprecated and only works for fields on the Base Incident Type. \ > For more flexibility, we recommend using the Incident Types endpoint: \ > [/incidents/types/{type_id_or_name}/custom_fields/{field_id}/field_options/{field_option_id}](openapiv3.json/paths/~1incidents~1types~1{type_id_or_name}~1custom_fields~1{field_id}~1field_options~1{field_option_id}/delete) Delete a Field Option for a Custom Field on the Base Incident Type. Scoped OAuth requires: `custom_fields.write`